Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common.tools
Class CommandLineSingleTokenizer

    java.lang.Object
      things.common.tools.CommandLineSingleTokenizer

    public class CommandLineSingleTokenizer

extends java.lang.Object

A standard command line tokenizer for single elements. Quotes can enclose terms. Backslash is the escape. Double backslash will escape itself. Carot (^) enclosed terms will be resolved against the property view.

Version:
  1.0

  Version History

      EPG - Initial - 10 MAY 06

Author:
  Erich P. Gatejen

Constructor Summary
`CommandLineSingleTokenizer()`

Method Summary
`static java.util.Vector<java.lang.String>` | `tokenize(java.io.Reader target, ThingsPropertyView properties)` Tokenize a command line of strings to a vector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineSingleTokenizer

    public CommandLineSingleTokenizer()

Method Detail

### tokenize

    public static java.util.Vector<java.lang.String> tokenize(java.io.Reader target,
                                                              ThingsPropertyView properties)
                                                       throws ThingsException

  Tokenize a command line of strings to a vector. It'll process any 7-bit ASCII ok. It'll ignore all other characters. You should avoid the first character being a 0 byte (the value 0, not the character 0).

  Parameters:
    `target` - A Reader source.
    `properties` - Properties for replacements.
  Returns:
    a vector of command line tokens.
  Throws:
    `ThingsException`
  See Also:
    `StringPoster`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.